clang-tools 10.0.0

Namespaces | Functions | Variables
UseTrailingReturnTypeCheck.cpp File Reference
`#include "UseTrailingReturnTypeCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/RecursiveASTVisitor.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Tooling/FixIt.h"`
`#include <cctype>`
Include dependency graph for UseTrailingReturnTypeCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::modernize

## Functions
static SourceLocation | clang::tidy::modernize::expandIfMacroId (SourceLocation Loc, const SourceManager &SM)
static bool | clang::tidy::modernize::IsCVR (Token T)
static bool | clang::tidy::modernize::IsSpecifier (Token T)
static llvm::Optional< ClassifiedToken > | clang::tidy::modernize::classifyToken (const FunctionDecl &F, Preprocessor &PP, Token Tok)
static bool | clang::tidy::modernize::hasAnyNestedLocalQualifiers (QualType Type)

## Variables
constexpr llvm::StringLiteral | clang::tidy::modernize::Message

## Variable Documentation

## ◆ Collision

bool Collision = false

Definition at line 28 of file UseTrailingReturnTypeCheck.cpp.